summaryrefslogtreecommitdiff
path: root/examples/openrc/httpd-4.initd
diff options
context:
space:
mode:
Diffstat (limited to 'examples/openrc/httpd-4.initd')
-rw-r--r--examples/openrc/httpd-4.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/examples/openrc/httpd-4.initd b/examples/openrc/httpd-4.initd
new file mode 100644
index 0000000..c3024f3
--- /dev/null
+++ b/examples/openrc/httpd-4.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+
+name="httpd-4"
+description="tipidee for HTTP on ipv4"
+_ip=0.0.0.0
+_uid=`id -u www-data`
+_gid=`id -g www-data`
+
+command=/bin/env
+command_args="UID=${_uid} GID=${_gid} s6-tcpserver4 -U ${_ip} 80 s6-tcpserver-access tipideed"
+command_background=yes
+directory=/home/www-data
+pidfile=/run/httpd-4.pid
+error_log=/run/httpd-4.fifo
+error_logger="logger -t httpd-4"
+
+depend() {
+ need net localmount
+}
+
+start_pre() {
+ mkfifo -m 0600 /run/httpd-4.fifo || :
+}